%define libname %mklibname xrender 1
%define develname %mklibname xrender -d
%define staticname %mklibname xrender -s -d

Name: libxrender
Summary:  X Render Library
Version: 0.9.11
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.xz
Patch0: libXrender-0.9.1-dmx.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version

%description
X Render Library

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Render Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
X Render Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Requires: x11-proto-devel >= 1.0.0
Requires: libx11-devel >= 1.0.0
Provides: libxrender-devel = %{version}-%{release}
Provides: libxrender1-devel = %{version}-%{release}
Obsoletes: %{mklibname xrender 1 -d}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXrender.so
%{_libdir}/pkgconfig/xrender.pc
%{_includedir}/X11/extensions/Xrender.h
%dir %{_docdir}/libXrender
%{_docdir}/libXrender/*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: libxrender-static-devel = %{version}-%{release}
Provides: libxrender1-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xrender 1 -s -d}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXrender.a

#-----------------------------------------------------------

%prep
%setup -q -n libXrender-%{version}
%patch0 -p1 -b .dmx

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXrender.so.1
%{_libdir}/libXrender.so.1.3.0

%changelog
* Wed Aug 02 2023 tex - 0.9.11-2pclos2023
- rebuild against updates

* Sat Oct 22 2022 tex - 0.9.11-1pclos2022
- new version

* Wed Jan 26 2022 tex - 0.9.10-6pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 0.9.10-5pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 0.9.10-4pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 0.9.10-3pclos2019
- rebuild against updates

* Sat Nov 18 2017 bb2 <bb2> - 0.9.10-2pclos2017
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 0.9.10-1.1pclos2017
- rebuilt

